# Uses of Interface
java.util.concurrent.RunnableScheduledFuture

Packages that use RunnableScheduledFuture
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of RunnableScheduledFuture in java.util.concurrent

Methods in java.util.concurrent that return RunnableScheduledFuture
Modifier and Type
Method
Description
`protected <V> RunnableScheduledFuture<V>`
ScheduledThreadPoolExecutor.`decorateTask​(Runnable runnable, RunnableScheduledFuture<V> task)`
Modifies or replaces the task used to execute a runnable.
`protected <V> RunnableScheduledFuture<V>`
ScheduledThreadPoolExecutor.`decorateTask​(Callable<V> callable, RunnableScheduledFuture<V> task)`
Modifies or replaces the task used to execute a callable.
Methods in java.util.concurrent with parameters of type RunnableScheduledFuture
Modifier and Type
Method
Description
`protected <V> RunnableScheduledFuture<V>`
ScheduledThreadPoolExecutor.`decorateTask​(Runnable runnable, RunnableScheduledFuture<V> task)`
Modifies or replaces the task used to execute a runnable.
`protected <V> RunnableScheduledFuture<V>`
ScheduledThreadPoolExecutor.`decorateTask​(Callable<V> callable, RunnableScheduledFuture<V> task)`
Modifies or replaces the task used to execute a callable.